Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class JDBCAbstractCMRFieldBridge

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMRFieldBridge

All Implemented Interfaces:
  CMRFieldBridge, FieldBridge, JDBCFieldBridge

Direct Known Subclasses:
  JDBCCMRFieldBridge, JDBCCMRFieldBridge2

public abstract class JDBCAbstractCMRFieldBridge
extends Object
implements JDBCFieldBridge, CMRFieldBridge

Version:
  `$Revision: 1.3 $`
Author:
  Alexey Loubyansky

Constructor Summary
`JDBCAbstractCMRFieldBridge()`

Method Summary
`abstract JDBCAbstractEntityBridge` | `getEntity()`
`abstract JDBCFieldBridge[]` | `getForeignKeyFields()`
`abstract JDBCRelationshipRoleMetaData` | `getMetaData()`
`Object` | `getPrimaryKeyValue(Object o)`
`abstract String` | `getQualifiedTableName()`
`abstract JDBCAbstractCMRFieldBridge` | `getRelatedCMRField()`
`abstract JDBCFieldBridge[]` | `getTableKeyFields()`
`abstract String` | `getTableName()`
`abstract boolean` | `hasForeignKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCFieldBridge
`getInstanceValue, getJDBCType, getManager, initInstance, isCMPField, isDirty, isLoaded, isPrimaryKeyMember, isReadOnly, isReadTimedOut, loadArgumentResults, loadInstanceResults, resetPersistenceContext, setClean, setInstanceParameters, setInstanceValue`

Methods inherited from interface org.jboss.ejb.plugins.cmp.bridge.FieldBridge
`getFieldName, getValue, setValue`

Methods inherited from interface org.jboss.ejb.plugins.cmp.bridge.CMRFieldBridge
`getRelatedEntity, isSingleValued`

Constructor Detail

### JDBCAbstractCMRFieldBridge

    public JDBCAbstractCMRFieldBridge()

Method Detail

### getMetaData

    public abstract JDBCRelationshipRoleMetaData getMetaData()

### getForeignKeyFields

    public abstract JDBCFieldBridge[] getForeignKeyFields()

### getTableKeyFields

    public abstract JDBCFieldBridge[] getTableKeyFields()

### hasForeignKey

    public abstract boolean hasForeignKey()

### getRelatedCMRField

    public abstract JDBCAbstractCMRFieldBridge getRelatedCMRField()

### getEntity

    public abstract JDBCAbstractEntityBridge getEntity()

### getQualifiedTableName

    public abstract String getQualifiedTableName()

### getTableName

    public abstract String getTableName()

### getPrimaryKeyValue

    public Object getPrimaryKeyValue(Object o)

  Specified by:
    `getPrimaryKeyValue` in interface `JDBCFieldBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.